/**********************************************************************


 *********************************************************************/

#include "ksprogress.h"

#undef Inherited
#define Inherited ksprogressData

KSProgress::KSProgress
(
	TQWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
  setCaption("KSProgress");
  id = "";
  canceled = FALSE;
}


void KSProgress::setID(TQString _id)
{
  id = _id;
}

void KSProgress::setRange(int minValue, int maxValue)
{
  progress->setRange(minValue, maxValue);
}

void KSProgress::setTopText(TQString text)
{
  fileName->setText(text);
}

void KSProgress::setBotText(TQString text)
{
  transferStatus->setText(text);
}

void KSProgress::setValue(int value)
{
  progress->setValue(value);
}

void KSProgress::cancelPressed()
{
  canceled = TRUE;
  emit cancel();
  emit cancel(id);
}

KSProgress::~KSProgress()
{
}
#include "ksprogress.moc"
